summaryrefslogtreecommitdiffstats
path: root/make/scripts/make.gluegen.all.android-armv7-cross.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/scripts/make.gluegen.all.android-armv7-cross.sh')
-rwxr-xr-xmake/scripts/make.gluegen.all.android-armv7-cross.sh47
1 files changed, 29 insertions, 18 deletions
diff --git a/make/scripts/make.gluegen.all.android-armv7-cross.sh b/make/scripts/make.gluegen.all.android-armv7-cross.sh
index db69527..a9d84af 100755
--- a/make/scripts/make.gluegen.all.android-armv7-cross.sh
+++ b/make/scripts/make.gluegen.all.android-armv7-cross.sh
@@ -11,31 +11,42 @@ export TARGET_ANT_HOME=/usr/share/ant
export ANDROID_SDK_VERSION=9
-if [ $# -eq "0" ] ; then
- echo "Usage: `basename $0` <ANDROID_SDK_HOME> <NDK_ROOT>"
- echo "Default: ANDROID_SDK_HOME=/usr/local/android-sdk-linux_x86"
- echo "Default: NDK_ROOT=/usr/local/android-ndk-r6"
-fi
-
-if [ $# -ge "2" ] ; then
-ANDROID_SDK_HOME=$1
-shift
-NDK_ROOT=$1
-shift
-fi
-
-echo $ANDROID_SDK_HOME
-echo $NDK_ROOT
+echo ANDROID_SDK_HOME $ANDROID_SDK_HOME
+echo NDK_ROOT $NDK_ROOT
if [ -z "$NDK_ROOT" ] ; then
- NDK_ROOT=/usr/local/android-ndk-r6
+ if [ -e /usr/local/android-ndk-r6 ] ; then
+ NDK_ROOT=/usr/local/android-ndk-r6
+ elif [ -e /opt-linux-x86/android-ndk-r6 ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk-r6
+ elif [ -e /opt/android-ndk-r6 ] ; then
+ NDK_ROOT=/opt/android-ndk-r6
+ else
+ echo NDK_ROOT is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $NDK_ROOT ] ; then
+ echo NDK_ROOT $NDK_ROOT does not exist
+ exit 1
fi
export NDK_ROOT
NDK_TOOLCHAIN=$NDK_ROOT/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/arm-linux-androideabi
if [ -z "$ANDROID_SDK_HOME" ] ; then
- ANDROID_SDK_HOME=/usr/local/android-sdk-linux_x86
-fi
+ if [ -e /usr/local/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/usr/local/android-sdk-linux_x86
+ elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt-linux-x86/android-sdk-linux_x86
+ elif [ -e /opt/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt/android-sdk-linux_x86
+ else
+ echo ANDROID_SDK_HOME is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $ANDROID_SDK_HOME ] ; then
+ echo ANDROID_SDK_HOME $ANDROID_SDK_HOME does not exist
+ exit 1
+fi
export ANDROID_SDK_HOME
export PATH="$NDK_TOOLCHAIN/bin:$ANDROID_SDK_HOME/platform-tools:$PATH"